de.vc.io.rtf.parser

## Class TabulatorProperties

- java.lang.Object
- - de.vc.io.rtf.parser.TabulatorProperties

-     public class TabulatorProperties
      extends java.lang.Object

  Tabulator properties

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `kind`
    `int` | `leader`
    `static int` | `LEADER_DOTS`
    `static int` | `LEADER_EQUAL_SIGN`
    `static int` | `LEADER_HYPHENS`
    `static int` | `LEADER_NONE`
    `static int` | `LEADER_THICK_LINE`
    `static int` | `LEADER_UNDERLINE`
    `int` | `position`
    `static int` | `TAB_KIND_CENTER`
    `static int` | `TAB_KIND_DECIMAL`
    `static int` | `TAB_KIND_DEFAULT`
    `static int` | `TAB_KIND_RIGHT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TabulatorProperties()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getTypeText()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAB_KIND_DEFAULT

          public static final int TAB_KIND_DEFAULT

      See Also:
        Constant Field Values

    - #### TAB_KIND_RIGHT

          public static final int TAB_KIND_RIGHT

      See Also:
        Constant Field Values

    - #### TAB_KIND_CENTER

          public static final int TAB_KIND_CENTER

      See Also:
        Constant Field Values

    - #### TAB_KIND_DECIMAL

          public static final int TAB_KIND_DECIMAL

      See Also:
        Constant Field Values

    - #### LEADER_NONE

          public static final int LEADER_NONE

      See Also:
        Constant Field Values

    - #### LEADER_DOTS

          public static final int LEADER_DOTS

      See Also:
        Constant Field Values

    - #### LEADER_HYPHENS

          public static final int LEADER_HYPHENS

      See Also:
        Constant Field Values

    - #### LEADER_UNDERLINE

          public static final int LEADER_UNDERLINE

      See Also:
        Constant Field Values

    - #### LEADER_THICK_LINE

          public static final int LEADER_THICK_LINE

      See Also:
        Constant Field Values

    - #### LEADER_EQUAL_SIGN

          public static final int LEADER_EQUAL_SIGN

      See Also:
        Constant Field Values

    - #### position

          public int position

    - #### kind

          public int kind

    - #### leader

          public int leader

  - ### Constructor Detail

    - #### TabulatorProperties

          public TabulatorProperties()

  - ### Method Detail

    - #### getTypeText

          public java.lang.String getTypeText()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.